{% extends 'base_customer.html.twig' %}

{% block title %}Mes Commandes{% endblock %}
{% block body %}
     <section id="panier" class="container-fluid">
        <section class="container">
            <header class="row">
                <div class="col-12">
                    <h1 class="service">Mes commandes</h1>
                </div>
            </header>
            <div class="row">
                <div class="col-12">    
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Id</th>
                                <th>Reférence Commande</th>               
                                <th>Date Commande</th>
                                <th>Date Limite Retour</th>
                                <th>Reférence Expedition</th>
                                <th>Reférence Retour</th>              
                                <th>Statut</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                        {% for borrowing in borrowings %}
                            <tr>
                                <td data-label="Id">{{ borrowing.id }}</td>
                                <td data-label="Référence ">{{ borrowing.ref }}</td>                
                                <td data-label="Début d'abonnement">{{ borrowing.startDate ? borrowing.startDate|date('Y-m-d H:i:s') : '' }}</td>
                                <td data-label="Fin d'abonnement">{{ borrowing.endDate ? borrowing.endDate|date('Y-m-d H:i:s') : '' }}</td>
                                <td data-label="Référence Envoie">{{ borrowing.refsent }}</td>
                                <td data-label="Référence reception">{{ borrowing.refback }}</td>                
                                <td data-label="Statut Abonnement">{{ borrowing.borrowingstatus}}</td>
                                <td data-label="Actions">
                                    <a href="{{ path('borrowing_show', {'id': borrowing.id}) }}">Voir</a>
                                    <a href="{{ path('borrowing_reception', {'id': borrowing.id}) }}">Réception</a>
                                    <a href="{{ path('borrowing_return', {'id': borrowing.id}) }}">Retour</a>
                                </td>
                            </tr>
                        {% else %}
                            <tr>
                                <td colspan="8">pas d'enregistrement</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    </section>                
{% endblock %}
{% block javascripts %}
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
{% endblock %}  
